#!/bin/sh

# Xbox 360 - 0.11 Extra pad support Script
# 1.0 Original script by Edwin Smith
# 1.1 Updated script to work with 0.11 drivers
# 1.1.1 Added MadCatzFightStickNeo
# 1.1.2 Added GameStopGamepad3 & HoriFightingStickEX2C
# 1.1.3 Added RockCandy, ThrustmasterGPX & MadCatzFPSPro
# 1.1.4 Added MadCatzFightStickSoulCaliber & Version information
# 1.1.5 Added GameStopGamepad4 3695 769
# 1.1.6 Added PowerAAirflow 5604 16138
# 1.1.7 Added PDP AfterglowV2 3695 531
# 1.1.8 Added PDPAfterglowAX1 3695 275
# Thanks to Cesium133x on MacRumors for posting details of initial hack

ShortName=$(whoami)

echo ""
echo '*******************************************'
echo "Welcome to the Extra Pad Support Installer"
echo '***********        1.1.8        ***********'
echo '*******************************************'
echo ""

if [ -e "/Library/PreferencePanes/Pref360Control.prefPane/Contents/Resources/DriverTool" ]
then

echo ""
echo '***********************************************'
echo "Tattiebogle 0.11 or later 360 drivers detected"
echo '***********************************************'
echo ""

echo ""
echo '*******************************************'
echo "Please type in your user password and press enter"
echo "PLEASE NOTE YOU NEED TO BE AN ADMIN"
echo '*******************************************'
echo ""

sudo /Library/PreferencePanes/Pref360Control.prefPane/Contents/Resources/DriverTool \
edit \
ArcadeGameStick 1848 18264 \
BatarangWired 5604 16144 \
BigBenController 5227 1537 \
Controller 1118 654 \
DOA4Stick 3853 10 \
GamestopGamepad 4779 770 \
GamestopGamepad2 7085 63745 \
GameStopGamepad3 3695 1025 \
GameStopGamepad4 3695 769 \
GuitarHero 5168 18248 \
GuitarHero 5168 18248 \
HoriFightingStickEX2 3853 10 \
HoriFightingStickEX2B 7085 62725 \
HoriFightingStickEX2C 3853 13 \
HoriFSVX 7085 62723 \
HoriPadEX2Turbo 7085 62721 \
HoriPadEXTurbo 3853 12 \
HoriRAPVXSA 7085 62722 \
HoriUnnamed 7085 21760 \
HoriUnnamedBlueSolo 7085 64001 \
JoytekXbox360 5678 48879 \
JoytekXbox360 5678 48879 \
KonamiDancePad 4779 4 \
LogitechF310 1133 49693 \
LogitechF510 1133 49694 \
LogitechF710 1133 49695 \
MadCatzBrawlStick 7085 61465 \
MadCatzFightStickNeo 7085 61498 \
MadCatzGamepad 1848 18198 \
MadCatzGamepad2 7085 63746 \
MadCatzGamepad3 7085 61642 \
MadCatzFPSPro 7085 61479 \
MadCatzMicroConGamepad 1848 18230 \
MadCatzMicroGamepad 1848 18230 \
MadCatzPad3 7085 61462 \
MadCatzPortableDrum 1848 39025 \
MadCatzProGamepad 1848 18214 \
MadCatzProGamepad 1848 18214 \
MadCatzFightStickSoulCaliber 7085 61503 \
MVC2TEStick 7085 61497 \
MVC2TEStick2 1848 46904 \
PDPAfterglow 7085 63744 \
PDPAfterglowV2 3695 531 \
PDPAfterglowAX1 3695 275 \
PDPTron 7085 63747 \
PDPVersusPad 7085 63748 \
PowerAMiniProEXGreen 5604 16128 \
PowerAAirflow 5604 16138 \
PowerAMiniProEXWhite 9414 21248 \
RAPEXSE 3853 22 \
RazerOnza 7085 64769 \
RazerOnza2 5769 64769 \
RazerOnzaTE 7085 64768 \
RazerOnzaTE2 5769 64768 \
RedOctaneController 5168 63489 \
RockBandDrums 7085 3 \
RockBandGuitar 7085 2 \
RockCandy 3695 287 \
SaitekCB360 1848 51970 \
SC4VF5Stick 3853 13 \
SF4FightPad 7085 61480 \
SF4FightPad2 1848 18216 \
SF4StickSE 1848 18200 \
SF4StickTE 1848 18232 \
SF4StickTER2 7085 61496 \
SSF4StickTE 1848 63288 \
SSFIVTEChunLi 7085 61501 \
StrikeController 5769 1 \
TSZPelican 3695 513 \
ThrustmasterGPXLightback 9414 23298


echo ""
echo "************************"
echo "** Extra Pads Enabled **"
echo "************************"
echo ""
echo ""
echo "*******************************************"

echo "The following pads will now be recognised by the 360 drivers"
echo "Pad Name - Vendor ID - Device ID"
echo "ArcadeGameStick 1848 18264"
echo "BatarangWired 5604 16144"
echo "BigBenController 5227 1537"
echo "Controller 1118 654"
echo "DOA4Stick 3853 10"
echo "GamestopGamepad 4779 770"
echo "GamestopGamepad2 7085 63745"
echo "GameStopGamepad3 3695 1025"
echo "GameStopGamepad4 3695 769"
echo "GuitarHero 5168 18248"
echo "GuitarHero 5168 18248"
echo "HoriFightingStickEX2 3853 10"
echo "HoriFightingStickEX2B 7085 62725"
echo "HoriFightingStickEX2C 3853 13"
echo "HoriFSVX 7085 62723"
echo "HoriPadEX2Turbo 7085 62721"
echo "HoriPadEXTurbo 3853 12"
echo "HoriRAPVXSA 7085 62722"
echo "HoriUnnamed 7085 21760"
echo "HoriUnnamedBlueSolo 7085 64001"
echo "JoytekXbox360 5678 48879"
echo "JoytekXbox360 5678 48879"
echo "KonamiDancePad 4779 4"
echo "LogitechF310 1133 49693"
echo "LogitechF510 1133 49694"
echo "LogitechF710 1133 49695"
echo "MadCatzBrawlStick 7085 61465"
echo "MadCatzFightStickNeo 7085 61498"
echo "MadCatzGamepad 1848 18198"
echo "MadCatzGamepad2 7085 63746"
echo "MadCatzGamepad3 7085 61642"
echo "MadCatzFPSPro 7085 61479"
echo "MadCatzMicroConGamepad 1848 18230"
echo "MadCatzMicroGamepad 1848 18230"
echo "MadCatzPad3 7085 61462"
echo "MadCatzPortableDrum 1848 39025"
echo "MadCatzProGamepad 1848 18214"
echo "MadCatzProGamepad 1848 18214"
echo "MadCatzFightStickSoulCaliber 7085 61503"
echo "MVC2TEStick 7085 61497"
echo "MVC2TEStick2 1848 46904"
echo "PDPAfterglow 7085 63744"
echo "PDPAfterglowV2 3695 531"
echo "PDPAfterglowAX1 3695 275"
echo "PDPTron 7085 63747"
echo "PDPVersusPad 7085 63748"
echo "PowerAMiniProEXGreen 5604 16128"
echo "PowerAAirflow 5604 16138"
echo "PowerAMiniProEXWhite 9414 21248"
echo "RAPEXSE 3853 22"
echo "RazerOnza 7085 64769"
echo "RazerOnza2 5769 64769"
echo "RazerOnzaTE 7085 64768"
echo "RazerOnzaTE2 5769 64768"
echo "RedOctaneController 5168 63489"
echo "RockBandDrums 7085 3"
echo "RockBandGuitar 7085 2"
echo "RockCandy 3695 287"
echo "SaitekCB360 1848 51970"
echo "SC4VF5Stick 3853 13"
echo "SF4FightPad 7085 61480"
echo "SF4FightPad2 1848 18216"
echo "SF4StickSE 1848 18200"
echo "SF4StickTE 1848 18232"
echo "SF4StickTER2 7085 61496"
echo "SSF4StickTE 1848 63288"
echo "SSFIVTEChunLi 7085 61501"
echo "StrikeController 5769 1"
echo "TSZPelican 3695 513"
echo "ThrustmasterGPXLightback 9414 23298"

echo ""
echo '********************************************************************************************'
echo "IMPORTANT THIS ADDS DRIVER SUPPORT THIS DOES NOT MEAN GAMES WILL AUTOMATICALLY SUPPORT THEM"
echo ""
echo "Please include the USB ID information for the gamepad when contacting me. This can be found using:"
echo " /Applications/Utilities/System Information navigate to Hardware -> USB"
echo ""
echo "The information for the controller will look a little like this."
echo "XBOX360 GAMEPAD:"
echo ""
echo "  Product ID:	0xfd00"
echo "  Vendor ID:	0x1689"
echo "  Version:	1.24"
echo "  Serial Number:	06ADEF12"
echo "  Speed:	Up to 12 Mb/sec"
echo "  Manufacturer:	Razer"
echo "  Location ID:	0x3d200000 / 3"
echo "  Current Available mA:	500"
echo "  Current Required mA:	Unknown Device has not been configured"
echo " "
echo "Any questions or new pads/devices to add please contact padsupport@feralinteractive.com" 
echo '********************************************************************************************'

else

echo " "
echo "***********************************************"
echo "Tattiebogle 0.11 or later 360 drivers NOT detected"
echo "INSTALLATION ABORTED"
echo "***********************************************"
echo " "

fi